<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', 'MainController@index');
Route::get('/add', 'MainController@add')->name('add');
Route::post('/save', 'MainController@save')->name('save');
Route::get('/search', 'MainController@search')->name('search');

Route::get('/lookup/{isbn}', 'LookupController@lookup');

Route::get('/authors/search', 'AuthorController@search');
Route::resource('authors', 'AuthorController');

Route::resource('locations', 'LocationController');
Route::resource('books', 'BookController');